Subject: Re: csum offload and af_packet

From: Patrick McHardy <[email-masked]>
Date: Wed, 13 Aug 2008 13:26:22 +0200

Herbert Xu wrote:
> On Tue, Aug 12, 2008 at 05:55:32PM -0700, David Miller wrote:
>
>   
>> I kind of hope that libpcap/tcpdump has been taught about auxdata
>> by now, has it? :-/
>>     
>
> Unfortunately no.  This also means that if we do do this in AF_PACKET,
> then running a packet dump on a fast outbound interface may become more
> expensive.

Actually the current CVS version understands auxdata and uses it to
reconstruct VLAN headers. CVS seems to be broken though, I can send
you a tarball with the current version if you want.